/* Container for the nav items */
.doxa-pico-nav-center ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center;
    padding: 0;
    list-style-type: none;
}

/* Individual nav items */
.doxa-pico-nav-center ul > * {
    margin: 5px 10px;
}

/* Dropdown styling */
.doxa-pico-nav-center .dropdown {
    position: relative;
}

.doxa-pico-nav-center .dropdown-menu {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

.doxa-pico-nav-center .dropdown[open] .dropdown-menu {
    display: block;
}

/* Responsive adjustments */
@media screen and (max-width: 768px) {
    ul {
        flex-direction: column;
        align-items: flex-start;
    }

    .doxa-pico-nav-center .dropdown-menu {
        position: static;
        box-shadow: none;
    }
}